6.0.0-git
2020-09-25

[#14840] CalDAV: Need to stop iCAL sending out notifications on any changes on events
Summary CalDAV: Need to stop iCAL sending out notifications on any changes on events
Queue Kronolith
Queue Version 4.2.24
Type Enhancement
State New
Priority 3. High
Owners
Requester office (at) thuinformatik (dot) ch
Created 2018-07-27 (791 days ago)
Due
Updated 2020-09-23 (2 days ago)
Assigned
Resolved
Milestone
Patch No

History
2020-09-23 14:29:57 felix (at) eckhofer (dot) com Comment #5 Reply to this comment
Using Evolution as CalDAV client, I'm also seeing unwanted notifications.

For example, when an attendee responds to my invitation, I get a 
prompt to update the status in my calendar. There is a checkbox "Send 
updates to attendees", which I leave unchecked and yet every attendee 
gets a notification email.
2020-09-22 14:56:37 randy (dot) meyer (at) thirdrailgroup (dot) ca Comment #4 Reply to this comment
Jacques,

Thanks for the reply. This is really a headache. I have been doing a 
bunch of research on the problem. Here's what I have found and the 
situation in more detail.

I have a calendar with a bunch of old and current events that I want 
to copy from a personal calendar (A) to a calendar I am also using for 
my business (B). I have another calendar that I use at my employer?s.

Calendar A - uses ActiveSync
Calendar B - uses Caldav
Calendar C - uses Exchange

When I copy an event from C to A or A to C, no problem. Everything works.
However, when I copy from A to B or C to B, invitations erroneously 
get sent out to everyone on the event.

This caused a huge headache and was a little embarrassing because I 
did not realize that this was happening until a couple people called 
me about why I was resending old invitations.

I merely want to diarize these events in different calendars not 
resend invitations.

What is not clear is whether it is the client that is causing it or 
not. I use EmClient for my email client. When I just do a normal 
update it asks me if I want to send an update notification to the 
other participants. Even though I select no, about 5 minutes later a 
notification gets sent out.

So is that the client not telling the server to not send a 
notification or the server somehow deciding to? Why such a long delay?

Maybe you have the missing piece to this puzzle. Sorry for the long message.


2020-09-21 09:14:49 jacques (dot) fournier (at) eluceo-consultants (dot) com Comment #3 Reply to this comment
To my knowledge, it has not been resolved, and it is a real pain !  My 
clients are going nuts with this issue...
The only way I found is not to accept invitations and to replicate the 
event in my diary... talk about low tech solution ...
If you hear about anything, I mean any way of sorting this out (apart 
from moving to an exchange hosting solution), I would really appreciate

[Show Quoted Text - 16 lines]
2020-09-19 14:39:34 randy (dot) meyer (at) thirdrailgroup (dot) ca Comment #2 Reply to this comment

[Show Quoted Text - 10 lines]
Has this ever been resolved somehow? Every time I touch an event it 
sends out notifications to everyone on the event. For example, if I 
delete an old event it sends out notifications to everyone on the old 
event.
2018-07-27 10:21:18 office (at) thuinformatik (dot) ch Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 3. High
Summary ⇒ CalDAV: Need to stop iCAL sending out notifications on any changes on events
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi all

CalDAV: Need to stop iCAL sending out notifications on any changes on events.

Any chance to modify something to disabling notification when a event 
get's updated and/or deleted?

I marked that question as 3. High. I did that, because the problem has 
high priority for me. Vote down if that does not have the same 
priority for you.

Saved Queries